import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

import java.util.List;
import java.util.ArrayList;
/**
 * 
 * @author Sjaak Smetsers & Renske Smetsers-Weeda
 * @version 2.0 -- 08-08-2015
 */
public class SurpriseEgg extends Egg
{
    private static int MAX_VALUE = 1000;

    public SurpriseEgg () {
        super( Greenfoot.getRandomNumber( MAX_VALUE ) + 1 );
    }    

    public static List<SurpriseEgg> generateListOfSurpriseEggs( int size ) {
        List<SurpriseEgg> generatedEggs = new ArrayList<SurpriseEgg> ( size );
        int eggNr = 0;
        while ( eggNr < size ) {
            generatedEggs.add( new SurpriseEgg () );
            eggNr++;
        }
        return generatedEggs;
    }
}
